Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ObstaclesPercept::FreePartOfGoal Class Reference

`#include <ObstaclesPercept.h>`

Inheritance diagram for ObstaclesPercept::FreePartOfGoal:

[legend]
Collaboration diagram for ObstaclesPercept::FreePartOfGoal:

[legend]
List of all members.

## Public Member Functions
| FreePartOfGoal ()
## Public Attributes
bool | wasDetermined
bool | leftEndSeen
bool | rightEndSeen
double | directionAsAngle
double | distanceOnField
double | widthAsAngle
Vector2< int > | leftInImage
Vector2< int > | rightInImage
## Private Member Functions
void | serialize (In *in, Out *out)

## Constructor & Destructor Documentation

ObstaclesPercept::FreePartOfGoal::FreePartOfGoal | ( |  | ) | `[inline]`

| Definition at line 89 of file ObstaclesPercept.h. References directionAsAngle, distanceOnField, wasDetermined, and widthAsAngle.

## Member Function Documentation

void ObstaclesPercept::FreePartOfGoal::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 63 of file ObstaclesPercept.h. References directionAsAngle, distanceOnField, leftEndSeen, leftInImage, rightEndSeen, rightInImage, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, wasDetermined, and widthAsAngle.

## Member Data Documentation

bool ObstaclesPercept::FreePartOfGoal::wasDetermined

| Definition at line 80 of file ObstaclesPercept.h. Referenced by SlamGoalRecognizer::calculateVerticalGoalScanLines(), GT2005ObstaclesLocator::determineFreePartsOfGoals(), FreePartOfGoal(), ObstaclesPercept::reset(), SlamGoalRecognizer::scanHorizontalForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

bool ObstaclesPercept::FreePartOfGoal::leftEndSeen

| Definition at line 82 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::determineFreePartsOfGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

bool ObstaclesPercept::FreePartOfGoal::rightEndSeen

| Definition at line 82 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::determineFreePartsOfGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

double ObstaclesPercept::FreePartOfGoal::directionAsAngle

| Definition at line 83 of file ObstaclesPercept.h. Referenced by SlamGoalRecognizer::calculateVerticalGoalScanLines(), GT2005ObstaclesLocator::determineFreePartsOfGoals(), FreePartOfGoal(), SlamGoalRecognizer::scanHorizontalForGoals(), SlamGoalRecognizer::scanLinesForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

double ObstaclesPercept::FreePartOfGoal::distanceOnField

| Definition at line 83 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::determineFreePartsOfGoals(), FreePartOfGoal(), SlamGoalRecognizer::scanLinesForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

double ObstaclesPercept::FreePartOfGoal::widthAsAngle

| Definition at line 83 of file ObstaclesPercept.h. Referenced by GT2005ObstaclesLocator::determineFreePartsOfGoals(), FreePartOfGoal(), SlamGoalRecognizer::scanHorizontalForGoals(), SlamGoalRecognizer::scanLinesForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

Vector2<int> ObstaclesPercept::FreePartOfGoal::leftInImage

| Definition at line 86 of file ObstaclesPercept.h. Referenced by SlamGoalRecognizer::scanLinesForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

Vector2<int> ObstaclesPercept::FreePartOfGoal::rightInImage

| Definition at line 86 of file ObstaclesPercept.h. Referenced by SlamGoalRecognizer::scanLinesForGoals(), serialize(), and ObstaclesPercept::setFreePartOfGoal().

The documentation for this class was generated from the following file:

- Representations/Perception/ObstaclesPercept.h